Scharkalvin
Posts: 1
Joined: Wed Jun 26, 2019 9:28 pm

Apt-get update fails, package cache file is corrupted

Wed Jun 26, 2019 9:36 pm

I've tried the following several times, tried 'apt-get clean' and deleting the apt cache file as well.

[email protected]:~ $ sudo apt-get update
Get:1 http://archive.raspberrypi.org/debian buster InRelease [25.1 kB]
Get:2 http://raspbian.raspberrypi.org/raspbian buster InRelease [15.0 kB]
Get:3 http://raspbian.raspberrypi.org/raspbian buster/main armhf Packages [13.0 MB]
Get:4 http://archive.raspberrypi.org/debian buster/main armhf Packages [201 kB]
Get:5 http://raspbian.raspberrypi.org/raspbian buster/contrib armhf Packages [59.0 kB]
Get:6 http://raspbian.raspberrypi.org/raspbian buster/non-free armhf Packages [103 kB]
Get:7 http://raspbian.raspberrypi.org/raspbian buster/rpi armhf Packages [1360 B]
Fetched 13.4 MB in 55s (243 kB/s)
Reading package lists... Error!
E: Unable to parse package file /var/lib/dpkg/status (1)
W: You may want to run apt-get update to correct these problems
E: The package cache file is corrupted

I'm running the "2019-06-20-raspbian-buster-full" image.
I have an 8gb flash card in the unit. Running on an old model B V1-2 RPi from 2014.

Any ideas?

Return to “Raspbian”